version: "3.8"

services:
  
        web:
                build: nginx
                container_name: site
                volumes:
                        - ./nginx/code/wiki:/wiki
                        - ./nginx/code/intra:/intra
                labels:
                        - "traefik.enable=true"
                        - "traefik.http.routers.wiki.rule=Host(`wiki.cours.lan`)"
                        - "traefik.http.routers.wiki.service=wiki"
                        - "traefik.http.services.wiki.loadbalancer.server.port=80"
                                 
                        - "traefik.http.routers.intra.rule=Host(`intra.cours.lan`)"
                        - "traefik.http.routers.intra.service=intra"
                        - "traefik.http.services.intra.loadbalancer.server.port=8080"

                        - "traefik.http.routers.intra.entrypoints=web"
                        - "traefik.http.routers.wiki.entrypoints=web"

        dns:
                image: sameersbn/bind
                container_name: resolver
                volumes:
                        - ./bind/data:/data
                ports:
                        - "53:53/TCP"
                        - "53:53/UDP"
                        - "10000:10000"
                env_file:
                        - .env

        traefik:
                image: "traefik:v2.6"
                command:
                        - "--api.insecure=true"
                        - "--providers.docker=true"
                        - "--providers.docker.exposedbydefault=false"
                        - "--entrypoints.web.address=:80"
                ports:
                        - "80:80"
                        - "8080:8080"
                volumes:
                        - "/var/run/docker.sock:/var/run/docker.sock:ro"
